Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233509 - Review Request: macchanger - An utility for viewing/manipulating the MAC address of network interfaces
Summary: Review Request: macchanger - An utility for viewing/manipulating the MAC addr...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-22 20:05 UTC by Damien Durand
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-26 14:30:49 UTC
wolfy: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Damien Durand 2007-03-22 20:05:11 UTC
Spec URL: http://glive.tuxfamily.org/fedora/macchanger/macchanger.spec
SRPM URL: http://glive.tuxfamily.org/fedora/macchanger/macchanger-1.5.0-1.src.rpm
Description: Features:
  * set specific MAC address of a network interface
  * set the MAC randomly
  * set a MAC of another vendor
  * set another MAC of the same vendor
  * set a MAC of the same kind (eg: wireless card)
  * display a vendor MAC list (today, 6200 items) to choose from

Comment 1 manuel wolfshant 2007-03-23 02:10:09 UTC
The package fails building in mock. extract from the output:

Processing files: macchanger-debuginfo-1.5.0-1.fc7
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Checking for unpackaged file(s): /usr/lib/rpm/check-files
/var/tmp/macchanger-1.5.0-1.fc7-root-mockbuild
error: Installed (but unpackaged) file(s) found:
   /usr/share/info/dir


RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/share/info/dir

Error building package from macchanger-1.5.0-1.fc7.src.rpm, See build log
ending
done

Suggestion: ditch the empty NEWS file from %doc

Please fix the building problem and I'll be happy to do a full review.


Comment 2 Damien Durand 2007-03-24 19:15:04 UTC
Fixed and rebuit

%changelog
* Sat Mar 24 2007 Damien Durand <splinux@fedoraproject.org> - 1.5.0-2
- Remove info directory in the install section

SPEC: http://glive.tuxfamily.org/fedora/macchanger/macchanger.spec
SRPMS: http://glive.tuxfamily.org/fedora/macchanger/macchanger-1.5.0-2.src.rpm

Comment 3 manuel wolfshant 2007-03-24 22:11:27 UTC
Legend: OK - passed, NA = not available/not applicable, MUSTFIX - failed
MUST
OK - rpmlint is silent on source and binary rpm
OK - package meets naming guidelines
OK - package meets packaging guidelines
OK - license (GPL ) OK, text in %doc, matches source
OK - spec file legible, in am. english
OK - source matches upstream, latest available version, sha1sum is
899c4eb4efe92b5793cbfa2956f74ab564341930 macchanger-1.5.0.tar.gz
OK - package compiles on devel (x86_64)
NA - no missing BR
NA - no unnecessary BR
NA - no locales
OK - not relocatable
OK - owns all files/directories that it creates, does not take ownership of
foreign files/directories
OK - no duplicate files
OK - permissions ok
OK - %clean ok
OK - macro use consistent
OK - code, not content
OK - no need for -docs
OK - nothing in %doc affects runtime
OK - no need for .desktop file, program is a cmdline


SHOULD
OK - package compiles in mock/devel & FC6/x86_64
OK - package builds in mock/devel& FC6/x86_64
OK - postinstall scriplets are sane (installs/removes an info page)
OK - works as advertised on FC6/x86_64

package APPROVED.


Comment 4 manuel wolfshant 2007-03-24 22:12:30 UTC
However, I still think that the empty NEWS file has no value for the end users...

Comment 6 Damien Durand 2007-03-25 10:47:39 UTC
New Package CVS Request
=======================
Package Name: macchanger
Short Description: An utility for viewing/manipulating the MAC address of
network interfaces
Owners: splinux25@gmail.com
Branches: FC-6
InitialCC: splinux@fedoraproject.org

Comment 7 Dennis Gilmore 2007-03-25 23:11:29 UTC
branched


Note You need to log in before you can comment on or make changes to this bug.